<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <script>
    function numbering() {
      document.write(1);
      document.write('<br/>');
    }
    function numbering(v) {
      document.write(v);
      document.write('<br/>');
    }
    function numbering2(v) {
      if(v > 10)
      {
        return v * 4; // js는 기본적으로 반환값의 타입을 한가지로 정해놓지 않음
      }
      return (v * 2) + '<br/>';
    }
    numbering(); // undefined. 나중에 선언된 numbering(v)에 의해 제거됨
    numbering(2);
    numbering(4);
    document.write(numbering2(10));
    document.write(numbering2(11) * 2); // 반환값이 숫자이기 때문에 가능
    document.write(numbering2(10) * 2); // 반환값이 문자열이기 때문에 NaN
  </script>
</body>
</html>